<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Assemble MongoDB query filter document — assemble_query_filter • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Assemble MongoDB query filter document — assemble_query_filter"><meta name="description" content="Assemble MongoDB query filter document"><meta property="og:description" content="Assemble MongoDB query filter document"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Assemble MongoDB query filter document</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>assemble_query_filter.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Assemble MongoDB query filter document</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">assemble_query_filter</span><span class="op">(</span></span>
<span>  country_code <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  subnational_entity_name <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  municipality <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  level <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  type <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_min <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_max <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  is_draft <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_time_created_min <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_time_created_max <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_time_last_edited_min <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  date_time_last_edited_max <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  query_filter <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  base64_encode <span class="op">=</span> <span class="cn">TRUE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-country-code">country_code<a class="anchor" aria-label="anchor" href="#arg-country-code"></a></dt>
<dd><p>The <code>country_code</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-subnational-entity-name">subnational_entity_name<a class="anchor" aria-label="anchor" href="#arg-subnational-entity-name"></a></dt>
<dd><p>The <code>subnational_entity_name</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-municipality">municipality<a class="anchor" aria-label="anchor" href="#arg-municipality"></a></dt>
<dd><p>The <code>municipality</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-level">level<a class="anchor" aria-label="anchor" href="#arg-level"></a></dt>
<dd><p>The <code>level</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-type">type<a class="anchor" aria-label="anchor" href="#arg-type"></a></dt>
<dd><p>The <code>type</code>(s) to be included. A character vector.</p></dd>


<dt id="arg-date-min">date_min<a class="anchor" aria-label="anchor" href="#arg-date-min"></a></dt>
<dd><p>The minimum <code>date</code> to be included. A <a href="https://rdrr.io/r/base/Dates.html" class="external-link">date</a> or something coercible to.</p></dd>


<dt id="arg-date-max">date_max<a class="anchor" aria-label="anchor" href="#arg-date-max"></a></dt>
<dd><p>The maximum <code>date</code> to be included. A <a href="https://rdrr.io/r/base/Dates.html" class="external-link">date</a> or something coercible to.</p></dd>


<dt id="arg-is-draft">is_draft<a class="anchor" aria-label="anchor" href="#arg-is-draft"></a></dt>
<dd><p><code>TRUE</code> means to include only referendum entries with <em>draft</em> status, <code>FALSE</code> to include only normal entries. Set to <code>NULL</code> in order to
include both draft and normal entries.</p></dd>


<dt id="arg-date-time-created-min">date_time_created_min<a class="anchor" aria-label="anchor" href="#arg-date-time-created-min"></a></dt>
<dd><p>The minimum <code>date_time_created</code> to be included. A <a href="https://rdrr.io/r/base/DateTimeClasses.html" class="external-link">datetime</a>, or something coercible to (like
<code>"2006-01-02"</code> or <code>"2006-01-02T15:04:05Z"</code>; assumed to be in UTC if no timezone is given).</p></dd>


<dt id="arg-date-time-created-max">date_time_created_max<a class="anchor" aria-label="anchor" href="#arg-date-time-created-max"></a></dt>
<dd><p>The maximum <code>date_time_created</code> to be included. A <a href="https://rdrr.io/r/base/DateTimeClasses.html" class="external-link">datetime</a>, or something coercible to (like
<code>"2006-01-02"</code> or <code>"2006-01-02T15:04:05Z"</code>; assumed to be in UTC if no timezone is given).</p></dd>


<dt id="arg-date-time-last-edited-min">date_time_last_edited_min<a class="anchor" aria-label="anchor" href="#arg-date-time-last-edited-min"></a></dt>
<dd><p>The minimum <code>date_time_last_edited</code> to be included. A <a href="https://rdrr.io/r/base/DateTimeClasses.html" class="external-link">datetime</a>, or something coercible to (like
<code>"2006-01-02"</code> or <code>"2006-01-02T15:04:05Z"</code>; assumed to be in UTC if no timezone is given).</p></dd>


<dt id="arg-date-time-last-edited-max">date_time_last_edited_max<a class="anchor" aria-label="anchor" href="#arg-date-time-last-edited-max"></a></dt>
<dd><p>The maximum <code>date_time_last_edited</code> to be included. A <a href="https://rdrr.io/r/base/DateTimeClasses.html" class="external-link">datetime</a>, or something coercible to (like
<code>"2006-01-02"</code> or <code>"2006-01-02T15:04:05Z"</code>; assumed to be in UTC if no timezone is given).</p></dd>


<dt id="arg-query-filter">query_filter<a class="anchor" aria-label="anchor" href="#arg-query-filter"></a></dt>
<dd><p>A valid <a href="https://docs.mongodb.com/manual/core/document/#query-filter-documents" class="external-link">MongoDB JSON query filter document</a> which allows for
maximum control over what data is included. This takes precedence over all of the above listed parameters, i.e. if <code>query_filter</code> is provided, the
parameters <code>country_code</code>, <code>subnational_entity_name</code>, <code>municipality</code>, <code>level</code>, <code>type</code>, <code>date_min</code>, <code>date_max</code>, <code>is_draft</code>, <code>date_time_created_min</code>, <code>date_time_created_max</code>, <code>date_time_last_edited_min</code> and <code>date_time_last_edited_max</code> are ignored.</p></dd>


<dt id="arg-base-encode">base64_encode<a class="anchor" aria-label="anchor" href="#arg-base-encode"></a></dt>
<dd><p>Whether or not to <a href="https://en.wikipedia.org/wiki/Base64" class="external-link">Base64</a>-encode the resulting query filter document. Note that the
<code>query_filter</code> argument provided to other functions of this package must be Base64-encoded.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A character scalar containing a valid <a href="https://docs.mongodb.com/manual/core/document/#query-filter-documents" class="external-link">MongoDB JSON query filter document</a>,
<a href="https://en.wikipedia.org/wiki/Base64" class="external-link">Base64</a>-encoded if <code>base64_encode = TRUE</code>.</p>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

